<?php

namespace App\Services\Equipment\Part;

use App\Entities\Equipment\Part\LineEntity;
use App\Models\Equipment\Part\LineModel;
use CodeIgniter\HTTP\IncomingRequest;

class LineService extends PartService
{
    protected ?IncomingRequest $request = null;
    public function __construct(?IncomingRequest $request = null)
    {
        parent::__construct($request);
        $this->addClassName('Line');
    }
    public function getModelClass(): LineModel
    {
        return new LineModel();
    }
    public function getEntityClass(): LineEntity
    {
        return new LineEntity();
    }
    public function getFormFields(): array
    {
        return [
            "clientinfo_uid",
            "type",
            "title",
            "bandwith",
            "start_at",
            "status",
        ];
    }
    public function getFilterFields(): array
    {
        return ["clientinfo_uid", "type", 'status',];
    }
    public function getBatchJobFields(): array
    {
        return ['status'];
    }
    public function getIndexFields(): array
    {
        return ['clientinfo_uid', 'type', 'title', 'bandwith', 'status', "start_at"];
    }
}
